
QGIS Application - Bug report #17003

Spatial bookmarks keyboard navigation: right-arrow causes a row to appear below the current one 

and looks like a tree expansion

2017-08-10 06:31 PM - Steven Mizuno

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24902

Description

This occurs when there are project bookmarks in addition to QGIS bookmarks.

The newly showing row contains the data of row 1. Left-arrow collapses this row.

If the current row is the newly showing row (down-arrow from the one you started on) and right-arrow again, QGIS crashes.

Also, the asterisk key (for expanding all) will crash QGIS. If there are presently only QGIS bookmarks nothing happens, but as soon as a

project that has bookmarks is loaded QGIS crashes.

2.18 has the same behavior.

I am using OSGeo4W nightly build on Windows 8.1 64-bit system.

Associated revisions

Revision 6c897b6b - 2017-12-01 12:07 PM - Alessandro Pasotti 

[bugfix] Bookmarks: fix a crash and show 6 digits

Fixes #17003 Spatial bookmarks keyboard navigation:

right-arrow causes a row to appear below the current

one and looks like a tree expansion (actually crashes

master)

Fixes #16350 Spatial Bookmark Panel: precision gets

trimmed

History

#1 - 2017-08-11 09:31 AM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from master to 2.18.11

#2 - 2017-12-01 11:49 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2017-12-01 12:14 PM - Alessandro Pasotti

- Status changed from Open to In Progress
PR: https://github.com/qgis/QGIS/pulls

#4 - 2017-12-01 12:14 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

#5 - 2017-12-01 02:29 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|6c897b6b1e66450da6536a573d9a00f55dfdadaa.

#6 - 2017-12-01 07:02 PM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pulls

